## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
# * test grammars are not included in published crates
%bcond check 0
%global debug_package %{nil}

%global crate pest_meta

Name:           rust-pest_meta
Version:        2.8.1
Release:        %autorelease
Summary:        Pest meta language parser and validator

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/pest_meta
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop feature and dependencies for bootstrap build mode
Patch:          pest_meta-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Pest meta language parser and validator.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/_README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+grammar-extras-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+grammar-extras-devel %{_description}

This package contains library source intended for building other packages which
use the "grammar-extras" feature of the "%{crate}" crate.

%files       -n %{name}+grammar-extras-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 19 2025 Fabio Valentini <decathorpe@gmail.com> - 2.8.1-1
- Update to version 2.8.1; Fixes RHBZ#2372899

* Sun May 04 2025 Fabio Valentini <decathorpe@gmail.com> - 2.8.0-1
- Update to version 2.8.0; Fixes RHBZ#2354772

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 16 2024 Fabio Valentini <decathorpe@gmail.com> - 2.7.15-1
- Update to version 2.7.15; Fixes RHBZ#2330945

* Wed Oct 23 2024 Fabio Valentini <decathorpe@gmail.com> - 2.7.14-1
- Update to version 2.7.14; Fixes RHBZ#2313574

* Wed Sep 18 2024 Fabio Valentini <decathorpe@gmail.com> - 2.7.12-1
- Update to version 2.7.12; Fixes RHBZ#2310441

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 07 2024 Fabio Valentini <decathorpe@gmail.com> - 2.7.11-1
- Update to version 2.7.11; Fixes RHBZ#2295545

* Tue Jun 25 2024 Fabio Valentini <decathorpe@gmail.com> - 2.7.10-1
- Update to version 2.7.10; Fixes RHBZ#2262745

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 Fabio Valentini <decathorpe@gmail.com> - 2.7.6-1
- Update to version 2.7.6; Fixes RHBZ#2240740

* Tue Sep 19 2023 Fabio Valentini <decathorpe@gmail.com> - 2.7.3-1
- Update to version 2.7.3; Fixes RHBZ#2236145

* Sun Aug 27 2023 Fabio Valentini <decathorpe@gmail.com> - 2.7.2-1
- Update to version 2.7.2; Fixes RHBZ#2228092

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 17 2023 Fabio Valentini <decathorpe@gmail.com> - 2.7.1-1
- Update to version 2.7.1; Fixes RHBZ#2215697

* Thu May 04 2023 Fabio Valentini <decathorpe@gmail.com> - 2.6.0-1
- Update to version 2.6.0; Fixes RHBZ#2189952

* Sun Apr 02 2023 Fabio Valentini <decathorpe@gmail.com> - 2.5.7-1
- Update to version 2.5.7; Fixes RHBZ#2183406

* Thu Mar 16 2023 Fabio Valentini <decathorpe@gmail.com> - 2.5.6-1
- Update to version 2.5.6; Fixes RHBZ#2175457

* Tue Feb 28 2023 Fabio Valentini <decathorpe@gmail.com> - 2.5.5-1
- Update to version 2.5.5; Fixes RHBZ#2168004

* Fri Feb 03 2023 Fabio Valentini <decathorpe@gmail.com> - 2.5.4-1
- Update to version 2.5.4; Fixes RHBZ#2140179

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Oct 08 2022 Fabio Valentini <decathorpe@gmail.com> - 2.4.0-1
- Update to version 2.4.0; Fixes RHBZ#2125969

* Sun Aug 21 2022 Fabio Valentini <decathorpe@gmail.com> - 2.3.0-1
- Update to version 2.3.0; Fixes RHBZ#2112465

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Feb 23 10:27:28 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.1.3-1
- Update to 2.1.3

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Sep 16 15:40:37 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.2-1
- Update to 2.1.2

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 09:44:41 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.1-2
- Regenerate

* Mon Apr 15 2019 Josh Stone <jistone@redhat.com> - 2.1.1-1
- Update to 2.1.1

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 2.1.0-1
- Update to 2.1.0

* Sat Nov 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.3-1
- Initial package

## END: Generated by rpmautospec
